# Uses of Class
org.eclipse.mat.parser.internal.oql.compiler.Query

Packages that use Query
Package
Description
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of Query in org.eclipse.mat.parser.internal.oql

Methods in org.eclipse.mat.parser.internal.oql with parameters of type Query
Modifier and Type
Method
Description
`Object`
ICompiler.`subQuery(Query q)`
Constructors in org.eclipse.mat.parser.internal.oql with parameters of type Query
Modifier
Constructor
Description
``
`OQLQueryImpl(EvaluationContext parent, Query query)`

## Uses of Query in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return Query
Modifier and Type
Method
Description
`Query`
Query.FromClause.`getSubSelect()`
Methods in org.eclipse.mat.parser.internal.oql.compiler that return types with arguments of type Query
Modifier and Type
Method
Description
`List<Query>`
Query.`getUnionQueries()`
Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type Query
Modifier and Type
Method
Description
`void`
Query.`addUnionQuery(Query query)`
`void`
Query.FromClause.`setSubSelect(Query subSelect)`
`Object`
CompilerImpl.`subQuery(Query q)`
Constructors in org.eclipse.mat.parser.internal.oql.compiler with parameters of type Query
Modifier
Constructor
Description
``
`QueryExpression(Query query)`

## Uses of Query in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser that return Query
Modifier and Type
Method
Description
`final Query`
OQLParser.`ParseQuery()`
THE OQL GRAMMAR STARTS HERE *
`final Query`
OQLParser.`ParseQueryFromInputLine()`
`final Query`
OQLParser.`SelectStatement()`
Methods in org.eclipse.mat.parser.internal.oql.parser with parameters of type Query
Modifier and Type
Method
Description
`final void`
OQLParser.`FromClause(Query q)`
`final void`
OQLParser.`SelectList(Query q)`
`final void`
OQLParser.`UnionClause(Query q)`
`final void`
OQLParser.`WhereClause(Query q)`